/* mini cart content */
.widget_shopping_cart_content,
.woocommerce-mini-cart-item__inner{display: grid; gap: 1.25rem}

.widget_shopping_cart_content{position: relative; height: 100%; grid-template-rows: 1fr auto auto}
.widget_shopping_cart_content > * + *{padding-top: 1.25rem; border-top: 1px solid rgba(255, 255, 255, .3)}

.woocommerce-mini-cart{padding: 0; margin: 0; list-style: none; overflow-y: auto}
   .woocommerce-mini-cart-item{
      position: relative;
      display: flex;
      flex-wrap: wrap;
      align-items: center;
      align-content: center;
      position: relative;
      padding-left: 3.4375rem;
      min-height: 2.5rem;
      padding-right: 1.5625rem
   }
   .woocommerce-mini-cart-item + .woocommerce-mini-cart-item{margin-top: .75rem; padding-top: .75rem; border-top: 1px solid rgba(255, 255, 255, .3); min-height: calc(2.5rem + .75rem)}
      .woocommerce-mini-cart-item > a:not(.remove) > img{display: block; width: 2.5rem; height: 2.5rem; position: absolute; top: 0; left: 0; object-fit: cover}
      .woocommerce-mini-cart-item > a:not(.remove){display: block; flex: 0 0 100%; font-weight: 600; text-decoration: none}
      .woocommerce-mini-cart-item > a.remove{position: absolute; top: 0; right: 0; text-indent: -5000px; overflow: hidden; width: 1.25rem; height: 1.25rem}
      .woocommerce-mini-cart-item > .quantity{font-size: var(--ama-sm-font-size); line-height: var(--ama-sm-line-height)}

      .woocommerce-mini-cart-item + .woocommerce-mini-cart-item > a:not(.remove) > img{top: .75rem}
      .woocommerce-mini-cart-item + .woocommerce-mini-cart-item > a.remove{top: .75rem}

.woocommerce-mini-cart__buttons{display: flex; flex-wrap: wrap; align-items: center}
   .woocommerce-mini-cart__buttons > * + *{margin-left: 1.25rem; flex: 1 0 0}
   .woocommerce-mini-cart__buttons > *:first-child{min-width: 55%}

/* ama-woo */
.ama-woo + .ama-woo{margin-left: .625rem}
*:not(.ama-woo) + .ama-woo{margin-left: 1.875rem}

.ama-woo > * + *{margin-left: .5rem}

/* product common */
.price{
   --ama-price-font-size: 1.6875rem;
   --ama-price-line-height: 2.5rem;
   --ama-price-justify: flex-start;

   display: flex;
   flex-wrap: wrap;
   align-items: center;
   justify-content: var(--ama-price-justify);
   color: var(--ama-primary-color);
   font-size: var(--ama-price-font-size);
   line-height: var(--ama-price-line-height);
   font-family: var(--ama-h-font-family)!important;
   font-weight: var(--ama-h-font-weight)!important;
}

/* =============================================================================
   list view
   ========================================================================== */
ul.products{
   list-style: none;
   padding: 0;
   margin: calc(var(--ama-gutter-x) * -1);
   display: flex;
   flex-wrap: wrap;
   justify-content: center
}
   ul.products > li{
      flex: 0 0 33.33334%;
      padding: var(--ama-gutter-x)
   }

   .woocommerce-LoopProduct-link{
      --product-link-bgcolor: #1E2024;
      --product-link-border-color: rgba(255, 255, 255, .3);
      --product-link-border-width: 1px;
      --product-link-padding-y: calc(3.125rem - var(--product-link-border-width));
      --product-link-padding-x: calc(1.875rem - var(--product-link-border-width));

      color: #fff!important;
      text-decoration: none!important;

      display: grid;
      grid-template-rows: auto 1fr auto auto;
      gap: 1.875rem 0;
      background-color: var(--product-link-bgcolor);
      border: var(--product-link-border-width) solid var(--product-link-border-color);
      padding: var(--product-link-padding-y) var(--product-link-padding-x);
      border-radius: var(--ama-general-border-radius);
      transition: border-color .3s linear
      display: flex;
      flex-direction: column;
      height: 100%;
   }
   .woocommerce-LoopProduct-link:hover{
      --product-link-border-color: var(--ama-primary-color);
   }
      .LoopProduct--thumb{
         width: 100%;
         max-width: 18.125rem;
         position: relative;
         overflow: hidden;
         background: rgb(255,255,255);
         background: radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(180,180,180,1) 100%);
         border-radius: var(--ama-general-border-radius);
         margin: 0 auto
      }
         .LoopProduct--thumb::before{
            content: '';
            display: block;
            padding-top: 100%
         }
         .LoopProduct--thumb > img{
            display: block;
            margin: 0;
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%)
         }
         
      .LoopProduct--content {
         flex-grow: 1;
       }

      .LoopProduct--content > p.has-primary-color{
         font-family: var(--ama-museo700-font-family)!important;
         font-size: var(--ama-h4-font-size);
         line-height: var(--ama-h4-line-height);
         font-weight: var(--ama-h-font-weight)!important;
      }

      .LoopProduct--price .price{
         --ama-price-font-size: 1.6875rem;
         --ama-price-line-height: 2.5rem;
         --ama-price-justify: center;
      }
         .price ins{text-decoration: none}
         .price del{order: 1; margin-left: .9375rem; font-size: 1rem; line-height: 1em; color: #fff; opacity: .7}

.shop-cat__group + .shop-cat__group{margin-top: var(--ama-margin-top-block)}
   .shop-cat__group > h2:first-child{margin-bottom: 3.125rem}
   
.ama-block.block-entry-header {margin-top: var(--ama-margin-top-block); margin-bottom: 1.125rem; text-align: center !important; font-family: var(--ama-h-font-family);  font-weight: var(--ama-h-font-weight); color: var(--ama-heading-color); font-size: var(--ama-h2-font-size);}

/* =============================================================================
   single product
   ========================================================================== */
div.product.type-product{
   --product-summary-column: 7 / -1;
   --product-summary-order: 1;
   --product-gallery-column: 1 / 7;
   --product-other-columns: 1 / -1;
   
   display: grid;
   grid-template-columns: repeat(12, 1fr);
   gap: 0 var(--ama-gutter-double-x);
   /*align-items: center;*/
   --ama-margin-top-block: 3.75rem
}
   div.product.type-product > *:not(.summary, .woocommerce-product-gallery){grid-column: var(--product-other-columns)}
   div.product.type-product > .summary{grid-column: var(--product-summary-column); order: var(--product-summary-order)}
   div.product.type-product > .woocommerce-product-gallery{grid-column: var(--product-gallery-column)}

   .woocommerce-product-gallery__image > a{
      display: block;
      position: relative;
      border-radius: var(--ama-general-border-radius);
      background: rgb(255,255,255);
      background: radial-gradient(circle, rgba(255,255,255,1) 0%, rgba(180,180,180,1) 100%);
      overflow: hidden;
   }
   .woocommerce-product-gallery__image > a::before{content: ''; display: block; padding-top: 70.97%}
      .woocommerce-product-gallery__image > a > img{position: absolute; top: 50%; left: 50%; max-width: 100%; height: auto; max-height: 100%; width: auto; transform: translate(-50%, -50%)}

.summary > * + .price,
* + .woocommerce-product-details__short-description{margin-top: 1.25rem}

.summary > .price + *:not(.woocommerce-product-details__short-description),
.woocommerce-product-details__short-description + *{margin-top: 1.875rem}

.summary form.cart {
   display: flex;
   flex-wrap: wrap;
}
.summary form.cart {
   display: flex;
   flex-wrap: wrap;
   align-items: center;
   gap: var(--ama-gutter-y) var(--ama-gutter-x);
}

.woocommerce-product-gallery__wrapper {
   position: sticky;
   top: calc(var(--ama-header-height) + 15px);
}

/* =============================================================================
   account
   ========================================================================== */
body.woocommerce-account .gutenberg-elements > .woocommerce,
body.woocommerce-account .gutenberg-elements > .woocommerce > .u-columns,
.woocommerce-MyAccount-content .woocommerce-Address-title,
.woocommerce-address-fields__field-wrapper{display: grid; gap: var(--ama-gutter-double-x)}

body.woocommerce-account .gutenberg-elements > .woocommerce{grid-template-columns: 25% 1fr}
body.woocommerce-account .gutenberg-elements > .woocommerce > .u-columns{grid-template-columns: repeat(2, 1fr)}

body.woocommerce-account .gutenberg-elements > .woocommerce > .woocommerce-notices-wrapper,
body.woocommerce-account .gutenberg-elements > .woocommerce > .u-columns{grid-column: auto/span 2}
body.woocommerce-account .gutenberg-elements > .woocommerce > .u-columns > * + *{margin: 0}
body.woocommerce-account .gutenberg-elements > .woocommerce > .u-columns > * > * + *{margin-top: var(--ama-gutter-x)}

.woocommerce-MyAccount-navigation ul{list-style: none; padding: 0}
.woocommerce-MyAccount-navigation ul > li + li{border-top: 1px solid #E6E6E6}
.woocommerce-MyAccount-navigation ul > li > a{
   display: block;
   font-size: 1rem;
   line-height: 1.25rem;
   text-decoration: none;
   padding: .9375rem 0;
   color: inherit
}
.woocommerce-MyAccount-navigation .is-active > a{color: var(--ama-primary-color)}
.woocommerce-MyAccount-navigation ul > li:first-child > a{padding-top: 0}

.woocommerce-MyAccount-content .col-1,
.woocommerce-MyAccount-content .col-2{flex: unset; width: 100%}

.woocommerce-MyAccount-content > p:not([class]) + p:not([class]){margin-top: var(--ama-margin-top-base)}
.woocommerce-MyAccount-content * + .col-1,
.woocommerce-MyAccount-content .col-2{margin-top: var(--ama-gutter-x)}

.woocommerce-MyAccount-content .woocommerce-Address-title{grid-template-columns: 1fr auto; align-items: center; gap: .625rem}
.woocommerce-MyAccount-content .woocommerce-Address-title + *{margin-top: .625rem}
.woocommerce-MyAccount-content address{border: 2px dashed rgba(255, 255, 255, .3); padding: calc(var(--ama-gutter-x) - 2px)}

* + .woocommerce-address-fields,
.woocommerce-address-fields__field-wrapper + *{margin-top: 1.25rem}
.woocommerce-address-fields__field-wrapper > *{margin: 0!important}

.woocommerce-address-fields__field-wrapper{--fields-grid: 2; grid-template-columns: repeat(var(--fields-grid), 1fr); gap: var(--ama-gutter-x); align-items: flex-end}
   .woocommerce-address-fields__field-wrapper > *:not(.address-field):not(.form-row-first):not(.form-row-last),
   .woocommerce-address-fields__field-wrapper > #billing_country_field,
   .woocommerce-address-fields__field-wrapper > #billing_postcode_field + #billing_city_field,
   .woocommerce-address-fields__field-wrapper > #billing_city_field + #billing_postcode_field{grid-column: auto/span var(--fields-grid)}

.woocommerce-EditAccountForm > * + *,
.woocommerce-EditAccountForm > fieldset * + *{margin-top: var(--ama-gutter-x)}
.woocommerce-EditAccountForm > * + fieldset{margin-top: var(--ama-gutter-double-x)}

.woocommerce-EditAccountForm > fieldset legend{display: block; font-size: var(--ama-h2-font-size); line-height: var(--ama-h2-line-height); font-family: var(--ama-h-font-family); font-weight: var(--ama-h-font-weight)}

.woocommerce-form__label-for-checkbox{position: relative}
.woocommerce-form__label-for-checkbox > input[type="checkbox"]{position: absolute; top: 0; left: 0; visibility: hidden}

.woocommerce-form-login > * + *,
.woocommerce-form-register > * + *,
.woocommerce-form-login * + .button,
.woocommerce-form-register * + .button{margin-top: var(--ama-gutter-x)}

.woocommerce-form-register > .woocommerce-form-row + p:not([class]){margin-top: .5rem; font-size: 85%; line-height: 1.25}

@media (max-width: 991px){
   body.woocommerce-account .gutenberg-elements > .woocommerce,
   body.woocommerce-account .gutenberg-elements > .woocommerce > .u-columns,
   .woocommerce-MyAccount-content .woocommerce-Address-title,
   .woocommerce-address-fields__field-wrapper{grid-template-columns: 1fr}
   
   .woocommerce-address-fields__field-wrapper > *:not(.address-field):not(.form-row-first):not(.form-row-last),
   .woocommerce-address-fields__field-wrapper > #billing_country_field,
   .woocommerce-address-fields__field-wrapper > #billing_postcode_field + #billing_city_field,
   .woocommerce-billing-fields__field-wrapper > #billing_city_field + #billing_postcode_field,
   body.woocommerce-account .gutenberg-elements > .woocommerce > .woocommerce-notices-wrapper,
   body.woocommerce-account .gutenberg-elements > .woocommerce > .u-columns{grid-column: auto/span 1}
}

/* =============================================================================
   cart
   ========================================================================== */
.woocommerce-notices-wrapper:not(:empty) > * + *{margin-top: .25rem}

.checkbox, .woocommerce-shipping-methods > li{position: relative}
.checkbox > input[type="checkbox"],
.woocommerce-shipping-methods > li > input[type="radio"]{position: absolute; top: 0; left: 0; opacity: 0}

.product-remove .remove{display: block; width: 1.5rem; height: 1.5rem; color: #fff; background-color: var(--ama-primary-color); border-radius: 50%; text-indent: -5000px}

.col2-set .col-1, .col2-set .col-2{flex: unset; width: 100%}
.col2-set .col-1 + .col-2{margin-top: var(--ama-gutter-double-x)}

* + .return-to-shop{margin-top: var(--ama-gutter-double-x)}

dl.variation{display: grid; grid-template-columns: auto 1fr; gap: .25rem .375rem; margin: 0; font-size: .8125rem; line-height: 1rem}
dl.variation > *{margin: 0}
* + dl.variation{margin-top: 5px}

/* =============================================================================
   coupon
   ========================================================================== */
.woocommerce-cart-form__contents div.coupon{display: grid; grid-template-columns: 1fr auto; gap: .5rem var(--ama-gutter-x)}
.woocommerce-cart-form__contents div.coupon > label{display: none!important}

form.woocommerce-form-coupon,
.woocommerce-form-login-toggle + .woocommerce-form-login,
.woocommerce-billing-fields__field-wrapper,
.woocommerce-shipping-fields__field-wrapper,
form.woocommerce-checkout{display: grid}

form.woocommerce-form-coupon,
.woocommerce-form-login-toggle + .woocommerce-form-login,
.woocommerce-billing-fields__field-wrapper,
.woocommerce-shipping-fields__field-wrapper,
form.woocommerce-checkout{--woo-grid-layout: 1fr}

form.woocommerce-form-coupon,
.woocommerce-form-login-toggle + .woocommerce-form-login{
   margin-top: var(--ama-gutter-x);
   border: 2px dashed rgba(255, 255, 255, .3);
   background-color: #1E2024;
   padding: calc(var(--ama-gutter-x) - 2px);
   border-radius: .375rem;
   grid-template-columns: var(--woo-grid-layout);
   gap: 1.25rem;
   align-items: center
}
   form.woocommerce-form-coupon > *:empty,
   .woocommerce-form-login-toggle + .woocommerce-form-login > *:empty{display: none!important}
   
   .woocommerce-form-login-toggle + .woocommerce-form-login > *{margin-top: 0}

/* =============================================================================
   checkout
   ========================================================================== */
.woocommerce-shipping-fields + *{margin-top: var(--ama-gutter-x)}
#ship-to-different-address + .shipping_address{padding-top: var(--ama-gutter-x)}

.woocommerce-billing-fields__field-wrapper,
.woocommerce-shipping-fields__field-wrapper,
form.woocommerce-checkout{grid-template-columns: var(--woo-grid-layout); gap: var(--ama-gutter-x) var(--ama-gutter-double-x); align-items: flex-end}

.woocommerce-billing-fields > *:first-child + *{margin-top: var(--ama-gutter-x)}

.woocommerce .form-row > label{display: block; margin: 0 0 .25rem}

#order_review_heading{display: none!important}

* + form.woocommerce-checkout{margin-top: 2.5rem}

form.woocommerce-checkout{gap: var(--ama-gutter-double-x); align-items: flex-start}
   .woocommerce-checkout-review-order,
   .cart_totals{
      padding: var(--ama-gutter-double-x);
      border-radius: var(--ama-general-border-radius);
      background-color: #1E2024
   }
      .woocommerce-checkout-payment,
      * + .place-order,
      * + #place_order{margin-top: var(--ama-gutter-double-x)}
      * + .place-order{padding-top: var(--ama-gutter-double-x); border-top: 1px solid rgba(255, 255, 255, .3)}

.woocommerce-checkout-review-order-table, .woocommerce-checkout-review-order-table > thead, .woocommerce-checkout-review-order-table > tbody, .woocommerce-checkout-review-order-table > tfoot, .woocommerce-checkout-review-order-table tr, .woocommerce-checkout-review-order-table th, .woocommerce-checkout-review-order-table td{display: block}

.woocommerce-checkout-review-order-table > * + tfoot,
.woocommerce-checkout-review-order-table > tfoot > * + *{margin-top: .5rem; padding-top: .5rem; border-top: 1px solid rgba(255, 255, 255, .3)}

.woocommerce-checkout-review-order-table > * > tr:not(.shipping){display: grid; grid-template-columns: 1fr auto; gap: .5rem 1rem}

ul.woocommerce-shipping-methods,
ul.wc_payment_methods{padding-left: 0; margin: 0; list-style: none}
ul.woocommerce-shipping-methods > li + li,
ul.wc_payment_methods > li + li{margin-top: .75rem}
ul.wc_payment_methods .payment_box{padding-top: .5rem}

.woocommerce-form-login + .woocommerce-form-coupon-toggle{margin-top: var(--ama-gutter-x)}

#ship-to-different-address > label input[type="checkbox"] + *::before,
#ship-to-different-address > label input[type="checkbox"] + *::after,
#ship-to-different-address > label input[type="radio"] + *::before,
#ship-to-different-address > label input[type="radio"] + *::after{top: 50%; transform: translateY(-50%)}

* + .cart-collaterals{margin-top: 1.875rem}

.cart_totals > h2{margin-bottom: 1.25rem; text-align: center}

.cart_totals .shop_table,
.cart_totals .shop_table tbody,
.cart_totals .shop_table tr,
.cart_totals .shop_table th,
.cart_totals .shop_table td{
   display: block
}
.cart_totals .shop_table tr{
   display: grid;
   grid-template-columns: 1fr auto;
   gap: .625rem
}
.cart_totals .shop_table tr + tr{margin-top: .9375rem; padding-top: .9375rem; border-top: 1px solid rgba(255, 255, 255, .3)}

.shipping-calculator-form{padding-top: 1.25rem}
.shipping-calculator-form > * + *{margin-top: 1.25rem}

.wc-proceed-to-checkout{text-align: right; margin-top: 1.25rem}

/* =============================================================================
   woocommerce-order
   ========================================================================== */
.woocommerce > .woocommerce-order > * + *{margin-top: var(--ama-margin-top-base)}
.woocommerce-order > * + .woocommerce-order-details{margin-top: 2.5rem}

* + table.woocommerce-table--order-details{margin-top: .75rem}
table.woocommerce-table--order-details, table.woocommerce-table--order-details > *, table.woocommerce-table--order-details tr, table.woocommerce-table--order-details tr > *{display: block}

table.woocommerce-table--order-details{border: 2px dashed rgba(255, 255, 255, .3); padding: calc(var(--ama-gutter-x) - 2px); border-radius: var(--ama-alert-border-radius, 0)}
table.woocommerce-table--order-details tr{display: grid; grid-template-columns: 1fr auto; gap: .5rem 1rem}

ul.woocommerce-thankyou-order-details{padding: calc(var(--ama-gutter-x) - 2px); border: 2px dashed rgba(255, 255, 255, .3); border-radius: var(--ama-alert-border-radius, 0); list-style: none}
ul.woocommerce-thankyou-order-details > li + li{padding-top: .5rem; margin-top: .5rem; border-top: 2px dashed rgba(255, 255, 255, .3)}

/* =============================================================================
   discount and text badge
   ========================================================================== */
.product-thumbnail-container-single {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
}

.discount-badge-single {
    position: absolute;
    top: 1rem;
    right: 1rem;
    background-color: #ff0000;
    color: #fff;
    font-size: 21px;
    font-weight: bold;
    border-radius: 50%;
    padding: 14px;
    z-index: 999;
}

.text-badge-single {position: absolute; bottom: 3rem; left: 1rem; z-index: 999; border-radius: 11px; background-color: #37c889; color: #13161b; font-size: 24px; font-weight: 400; padding: 5px 10px;}

.discount-badge {position: absolute; top: 10px; right: 10px; background-color: #ff0000; color: #fff; font-size: 21px; font-weight: bold; border-radius: 50%; padding: 8px; z-index: 999;}
.text-badge {position: absolute; bottom: 10px; left: 10px; background-color: #37c889; color: #13161b; font-size: 14px; font-weight: 400; padding: 5px 10px; z-index: 999; border-radius: 11px;}
/* =============================================================================
   media queries
   ========================================================================== */
@media (min-width: 568px){
   .woocommerce-billing-fields__field-wrapper,
   .woocommerce-shipping-fields__field-wrapper{--woo-grid-layout: 1fr 1fr}

   .woocommerce-billing-fields__field-wrapper > *:not(.form-row-first):not(.form-row-last):not(.address-field),
   .woocommerce-shipping-fields__field-wrapper > *:not(.form-row-first):not(.form-row-last):not(.address-field),
   .woocommerce-billing-fields__field-wrapper > #billing_country_field,
   .woocommerce-billing-fields__field-wrapper > #billing_postcode_field + #billing_city_field,
   .woocommerce-billing-fields__field-wrapper > #billing_city_field + #billing_postcode_field,
   .woocommerce-shipping-fields__field-wrapper > #shipping_country_field,
   .woocommerce-shipping-fields__field-wrapper > #shipping_postcode_field + #shipping_city_field,
   .woocommerce-shipping-fields__field-wrapper > #shipping_city_field + #shipping_postcode_field{grid-column: auto/span 2}
}
@media (min-width: 768px){
   form.woocommerce-form-coupon{--woo-grid-layout: 1fr auto}
   .woocommerce-form-login-toggle + .woocommerce-form-login{--woo-grid-layout: repeat(2, 1fr)}

   form.woocommerce-form-coupon > p:not([class]),
   .woocommerce-form-login-toggle + .woocommerce-form-login *:not(.form-row-first):not(.form-row-last){grid-column: auto/span 2}

   .woocommerce-cart-form__contents .actions{
      padding-left: 0!important;
      padding-right: 0!important;
      text-align: right
   }
   .woocommerce-cart-form__contents .actions .coupon{text-align: left}
   .woocommerce-cart-form__contents .actions .coupon + .button{margin-top: 0.9375rem; margin-left: auto; margin-right: 0}
   .woocommerce-cart-form__contents .actions__inner{display: grid; grid-template-columns: 1fr auto; gap: var(--ama-gutter-x) var(--ama-gutter-double-x)}

   .woocommerce-cart-form__contents tr > *{padding: .75rem; border-top: 1px solid rgba(255, 255, 255, .3)}
   .woocommerce-cart-form__contents tr > *:last-child{padding-right: 0}
   .woocommerce-cart-form__contents td.product-remove{padding-left: 0!important; width: 1.5rem}
   .woocommerce-cart-form__contents td.product-thumbnail{
      padding: .6875rem 1px;
      width: 3.75rem;
      height: 5rem;
      position: relative
   }

   .woocommerce-cart-form__contents .product-price,
   .woocommerce-cart-form__contents .product-quantity{text-align: center}
   .woocommerce-cart-form__contents .product-subtotal{text-align: right}

   .woocommerce-cart-form__contents .product-quantity{width: calc(7.5rem + 1.5rem)}
   .woocommerce-cart-form__contents .product-quantity + *{width: 15%}
   .product-quantity > .quantity{max-width: 7.5rem; margin-left: auto; margin-right: auto}
   .product-quantity > .quantity > label + .qty{width: 100%; max-width: 60px; text-align: center}
   .product-quantity > .quantity > label + .qty{border: 1px solid #ced4da; padding: 4px; border-radius: 5px}
}
@media (min-width: 992px){
   form.woocommerce-checkout{--woo-grid-layout: 1fr 1fr}
   form.woocommerce-checkout > *:not(#customer_details):not(.woocommerce-checkout-review-order){grid-column: auto/span 2}
   
   form.woocommerce-checkout > #customer_details,
   form.woocommerce-checkout > .woocommerce-checkout-review-order{position: sticky; top: 6.25rem}
}

@media (max-width: 767px){
   .woocommerce-cart-form__contents, .woocommerce-cart-form__contents > *, .woocommerce-cart-form__contents tr, .woocommerce-cart-form__contents tr > *{display: block}
   .woocommerce-cart-form__contents thead{display: none!important}
   .woocommerce-cart-form__contents .woocommerce-cart-form__cart-item{
      --form__cart-item-offset: 0;
      padding-top: var(--form__cart-item-offset);
      position: relative;
      min-height: 3.75rem;
      padding-left: 4.375rem
   }
   .woocommerce-cart-form__contents .woocommerce-cart-form__cart-item + tr:not([class]){margin-top: 1.25rem}
   .woocommerce-cart-form__contents .woocommerce-cart-form__cart-item + .woocommerce-cart-form__cart-item{--form__cart-item-offset: 1.25rem; margin-top: var(--form__cart-item-offset); padding-top: var(--form__cart-item-offset); border-top: 2px dashed rgba(255, 255, 255, .3)}
      .woocommerce-cart-form__contents .woocommerce-cart-form__cart-item > *{padding: 0}
      .woocommerce-cart-form__contents .woocommerce-cart-form__cart-item > .product-remove,
      .woocommerce-cart-form__contents .woocommerce-cart-form__cart-item > .product-thumbnail{position: absolute; top: var(--form__cart-item-offset)}
      .woocommerce-cart-form__contents .woocommerce-cart-form__cart-item > .product-remove{right: 0}
      .woocommerce-cart-form__contents .woocommerce-cart-form__cart-item > .product-thumbnail{width: 60px; height: 60px; padding: 4px; border: 1px solid rgba(255, 255, 255, .3); left: 0}
      .woocommerce-cart-form__contents .woocommerce-cart-form__cart-item > [data-title]{display: grid; grid-template-columns: 1fr auto; align-items: flex-start; gap: .5rem}
      .woocommerce-cart-form__contents .woocommerce-cart-form__cart-item > [data-title] + [data-title]{margin-top: .5rem; padding-top: .5rem; border-top: 1px dashed rgba(255, 255, 255, .3)}
         .woocommerce-cart-form__contents .woocommerce-cart-form__cart-item > [data-title]::before{content: attr(data-title); display: block; font-weight: 700}

      .woocommerce-cart-form__contents .woocommerce-cart-form__cart-item > .product-name{padding-right: 2rem}

      .woocommerce-cart-form__contents .actions{padding: 0!important}
      .woocommerce-cart-form__contents .actions__inner > * + *{margin-top: .75rem}

   .woocommerce-checkout-review-order,
   .cart_totals{padding: var(--ama-gutter-x)}
      .cart_totals .shop_table tr{grid-template-columns: 1fr}
}
@media (max-width: 567px){
   .woocommerce-cart-form__contents .actions__inner > .button{width: 100%}
}

.woocommerce-checkout .woocommerce + .woocommerce{margin-top: 1.25rem}

.woocommerce-terms-and-conditions-wrapper > * + *{margin-top: 1.25rem}
.woocommerce-terms-and-conditions-wrapper + #place_order{margin-top: 1.25rem}

.woocommerce-terms-and-conditions {
   --ama-margin-top-base: .5rem;
   --ama-margin-top-heading: 1.5rem;
   padding: .9375rem;
   border: 1px solid #fff;
}

.woocommerce-terms-and-conditions h2 {
   font-size: 110%;
}


.select2-results{color: var(--ama-input-color)}

.select2-container{display: block; height: 48px}
.select2-container .select2-selection--single{height: unset; border-radius: var(--ama-input-border-radius)}
   .select2-container .select2-selection--single .select2-selection__rendered{
      color: var(--ama-input-color);
      padding: var(--ama-input-padding-y) var(--ama-input-padding-select-x) var(--ama-input-padding-y) var(--ama-input-padding-x);
   }
   .select2-container--default .select2-selection--single .select2-selection__arrow{
      width: var(--ama-input-padding-select-x);
      height: 100%;
   }

@media (max-width: 1199px){
   *:not(.ama-woo) + .ama-woo{margin-left: 0}
}
@media (max-width: 991px){
   .ama-woo + .ama-woo{margin-left: .9375rem}

   ul.products > li{flex: 0 0 50%}

   div.product.type-product{
      --product-summary-column: 2 / -1;
      --product-gallery-column: 1 / 2;

      grid-template-columns: repeat(4, 1fr)
   }
}
@media (max-width: 767px){

   div.product.type-product{
      --product-summary-column: 1 / -1;
      --product-summary-order: 1;
      --product-gallery-column: 1 / -1;
      grid-template-columns: repeat(2, 1fr)
   }

   .ama-woo.ama-woo--cart .ama-woo__label{display: none!important}

   ul.products > li{flex: 0 0 100%}
}


.woocommerce-form-register > div.woocommerce-privacy-policy-text{display: none!important; user-select: none; pointer-events: none; visibility: hidden}

.woocommerce-form__label > input[type="checkbox"] + *,
.woocommerce-form__label > input[type="radio"] + *{display: inline; padding-left: 0; position: static}
.woocommerce-form__label-for-checkbox,
.woocommerce-form__label-for-radio{padding-left: 2.375rem; position: relative}
.woocommerce-form-register * + .button{margin-top: 0}

@media (min-width: 768px){
   .col-2 .woocommerce-form-register{
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      gap: 0 var(--ama-gutter-double-x)
   }
   .col-2 .woocommerce-form-register > *:not(.form-row),
   .col-2 .woocommerce-form-register > .form-row.privacy,
   .col-2 .woocommerce-form-register > .woocommerce-form-row.form-row:not(.woocommerce-form-row--wide){grid-column: 1 / -1}
   .col-2 .woocommerce-form-register > .form-row + .form-row{margin-top: 0}
   .col-2 .woocommerce-form-register > .form-row:not(:last-child){margin-bottom: var(--ama-gutter-x)}
   .col-2 .woocommerce-form-register > .woocommerce-form-row:last-child{margin-top: 0}

   .woocommerce-form-register > .woocommerce-form-row + p:not([class]){font-size: inherit; line-height: inherit}
}


form.woocommerce-ResetPassword{grid-column: 1 / -1}
form.woocommerce-ResetPassword > * + *{margin-top: var(--ama-gutter-x)}

@media (min-width: 768px){
   .woocommerce-cart-form__contents .actions{overflow: hidden}
      .woocommerce-cart-form__contents .actions  > .coupon{float: left; width: 100%; max-width: 60%}
      .woocommerce-cart-form__contents .actions > .button[type="submit"]{float: right}
      .woocommerce-cart-form__contents .actions .coupon + .button{margin-top: 0; margin-left: 0.9375rem}
}
@media (max-width: 767px){
   .woocommerce-cart-form__contents .actions .coupon + .button{margin-top: var(--ama-gutter-x)}
   .woocommerce-cart-form__contents .woocommerce-cart-form__cart-item > .product-quantity[data-title]{align-items: center}
}

.quantity .input-text{
   font-weight: 700;
   max-width: 3rem!important;
   padding-left: 0!important;
   padding-right: 0!important;
   text-align: center!important
}


.order-total > td{text-align: right}
.order-total > td > strong + small{display: block}